.whatnext {
    margin-left: 5vw;
    width: 70vw;
    background: rgba(255, 255, 255, 0.9);
    border-radius: 4.8vmin;
    box-shadow: 0 2vmin 6vmin rgba(0, 0, 0, 0.3);
    padding: 9vmin;
    margin-bottom: 30vmin;
}

.title {
    text-align: center;
    margin-bottom: 6vmin;
    color: #2c3e50;
    font-size: 5.6vmin;
    padding-bottom: 3vmin;
}

.text-block {
    position: relative;
    margin: 8vmin 0;
    padding: 4vmin;
    border-radius: 1.6vmin;
    background: white;
    box-shadow: 0 0.8vmin 3vmin rgba(0, 0, 0, 0.1);
}

.left {
    margin-right: 40%;
    border-left: 1vmin solid var(--eco3);
}

.right {
    margin-left: 40%;
    border-right: 1vmin solid var(--eco5);
}

.right h3{
    text-align: right;
}

.text-block h3 {
    color: #2c3e50;
    margin-bottom: 2vmin;
    margin-left: 1vmin;
}

.text-block p {
    color: #667374;
    line-height: 1.6;
    text-indent: 1vmin;
}

.connector {
    position: absolute;
    width: 40%;
    height: 0.5vmin;
    top: 50%;
}

.left .connector {
    right: -40%;
    background: linear-gradient(90deg, var(--eco2), var(--eco4));
}

.right .connector {
    left: -40%;
    background: linear-gradient(90deg, #b76b00, #000);
}

.circle {
    position: absolute;
    width: 2.4vmin;
    height: 2.4vmin;
    background: #2c3e50;
    border-radius: 50%;
    top: 50%;
    transform: translateY(-50%);
}

.left .circle {
    right: -1.2vmin;
}

.right .circle {
    left: -1.2vmin;
}

.vertical-line {
    position: absolute;
    left: 50%;
    top: 0;
    bottom: 0;
    width: 2px;
    background: linear-gradient(to bottom, #3498db, #e74c3c);
    transform: translateX(-50%);
}

@media (max-width: 1000px) {
    .whatnext {
        margin-left: 0;
        width: auto;
        padding: 6vmin;
        margin-bottom: 20vmin;
    }
    
    .left, .right {
        margin-right: 10%;
        margin-left: 10%;
        border-left: 0.8vmin solid var(--eco3);
        border-right: none;
    }

    .right {
        border-left: 0.8vmin solid var(--eco5);
    }
    
    .right h3 {
        text-align: left;
    }
    
    .connector {
        display: none;
    }
    
    .circle {
        display: none;
    }
    
    .vertical-line {
        display: none;
    }
}